
%global meadversion 1.0.8
%global namedversion 1.0.8.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .1
%global serial 9
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.0.8.Final-redhat-2

Name:           tomcat-vault
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Vault extension for Apache Tomcat
Group:          Development/Java

%if %with mead
Source100: tomcat-vault-1.0.8.Final-redhat-2-scm-sources.zip
Source102: tomcat-vault-1.0.8.Final-redhat-2-javadoc.jar
Source103: tomcat-vault-1.0.8.Final-redhat-2-jar-with-dependencies.jar
Source104: tomcat-vault-1.0.8.Final-redhat-2-project-sources.tar.gz
Source105: tomcat-vault-1.0.8.Final-redhat-2-sources.jar
Source106: tomcat-vault-1.0.8.Final-redhat-2.jar
Source107: tomcat-vault-1.0.8.Final-redhat-2.pom
%endif

License:        ASL 2.0
URL:            https://github.com/picketbox/tomcat-vault
# build/scripts patches
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  jboss-modules >= 1.1.1
BuildRequires:  jboss-logging >= 3.1.4
BuildRequires:	apache-commons-cli >= 1.2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/tomcat-vault-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for tomcat-vault
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%package zip
Summary:        Zip distribution for tomcat-vault
Group:          Development/Java

Provides:       tomcat-vault-zip = %{epoch}:%{version}-%{release}
BuildRequires:  zip

%description zip
%{summary}.

%prep
%setup -q -n tomcat-vault -T -b 100

%build
%{__mkdir_p} %{_sourcedir}/bin
%{__cp} -p bin/vault.sh %{_sourcedir}/bin
%{__cp} -p bin/vault.bat %{_sourcedir}/bin
%{__mkdir_p} %{_sourcedir}/modules/system/layers/base/tomcat-vault/main/
%{__cp} -p modules/system/layers/base/tomcat-vault/main/module.xml %{_sourcedir}/modules/system/layers/base/tomcat-vault/main/
%{__mkdir_p} %{_sourcedir}/modules/system/layers/base/javax/api/main/
%{__cp} -p modules/system/layers/base/javax/api/main/module.xml %{_sourcedir}/modules/system/layers/base/javax/api/main/
%{__cp} -p pom.xml %{_sourcedir}/

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/tomcat-vault-%{namedversion}.jar %{buildroot}%{_javadir}/tomcat-vault-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/tomcat-vault-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/tomcat-vault-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/tomcat-vault-%{namedversion}-sources.jar %{buildroot}%{_javadir}/tomcat-vault-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/tomcat-vault-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-tomcat-vault.pom

# shell
%{__mkdir_p} %{buildroot}%{_bindir}
%{__cp} -p %{_sourcedir}/bin/vault.sh %{buildroot}%{_bindir}/tomcat-vault.sh
#%{__cp} -p %{_sourcedir}/bin/vault.bat %{buildroot}%{_bindir}/tomcat-vault.bat

# modules information
%{__cp} -p -r %{_sourcedir}/modules %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/tomcat-vault-%{namedversion}-jar-with-dependencies.jar %{buildroot}%{_javadir}/modules/system/layers/base/tomcat-vault/main/tomcat-vault.jar
%{__cp} -p %{_sourcedir}/tomcat-vault-%{namedversion}-jar-with-dependencies.jar %{buildroot}%{_javadir}

# depmaps
%add_to_maven_depmap org.apache.tomcat tomcat-vault %{namedversion} JPP tomcat-vault
[ %{name} = "tomcat-vault" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/tomcat-vault

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/tomcat-vault-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/tomcat-vault-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/tomcat-vault-%{namedversion} -x META-INF/\*
%{__ln_s} tomcat-vault-%{namedversion} %{buildroot}%{_javadocdir}/tomcat-vault
%endif

# zip file
mkdir -p tmp/tomcat-vault-%{version}

pushd tmp
pushd tomcat-vault-%{version}
mkdir bin
pushd bin
%{__cp} -p %{buildroot}%{_bindir}/tomcat-vault.sh .
%{__cp} -p %{_sourcedir}/bin/vault.bat ./tomcat-vault.bat
popd
%{__cp} -p -r %{buildroot}%{_javadir}/modules .
popd

%{__mkdir_p} %{buildroot}%{_javadir}/%{name}-fordev
%{_bindir}/zip -r -q %{buildroot}%{_javadir}/%{name}-fordev/tomcat-vault-%{namedversion}.zip tomcat-vault-%{version}/*
popd
rm -rf tmp

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.md
%{_javadir}/tomcat-vault-%{namedversion}.jar
%{_javadir}/tomcat-vault.jar
%{_javadir}/modules/system/layers/base/tomcat-vault/main/module.xml
%{_javadir}/modules/system/layers/base/javax/api/main/module.xml
%{_bindir}/tomcat-vault.sh
%attr(0755,-,-) %{_bindir}/tomcat-vault.sh
#%{_bindir}/tomcat-vault.bat
%if %with javadoc
%{_javadir}/tomcat-vault-%{namedversion}-javadoc.jar
%{_javadir}/tomcat-vault-javadoc.jar
%endif
%{_javadir}/tomcat-vault-%{namedversion}-sources.jar
%{_javadir}/tomcat-vault-%{namedversion}-jar-with-dependencies.jar
%{_javadir}/modules/system/layers/base/tomcat-vault/main/tomcat-vault.jar
%{_javadir}/tomcat-vault-sources.jar
%{_mavenpomdir}/JPP-tomcat-vault.pom
%{_mavendepmapfragdir}/tomcat-vault

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/tomcat-vault-%{namedversion}
%{_javadocdir}/tomcat-vault
%endif

%files zip
%defattr(0644,root,root,0755)
%dir %{_javadir}
%dir %{_javadir}/%{name}-fordev
%{_javadir}/%{name}-fordev/tomcat-vault-%{namedversion}.zip

%changelog
* Tue Dec 13 2016 Patrick Sutherland <csutherl@redhat.com> - 1.0.8-9.Final_redhat_2.1
- Resolves: JWS-615

* Thu Dec 01 2016 Patrick Sutherland <csutherl@redhat.com> - 1.0.8-8.Final_redhat_1.1
- 

* Thu Nov 17 2016 Coty Sutherland <csutherl@redhat.com> - 1.0.8-8.Final_redhat_6.1
- Resolves: JWS-589 Tomcat-vault Rpm wrong jar name
- Resolves: JWS-586 Tomcat-vault INSTALL file is wrong
- Resolves: JWS-582 Tomcat-vault cannot resolve JBOSS_HOME

* Wed Oct 26 2016 Patrick Sutherland <csutherl@redhat.com> - 1.0.8-7.Final_redhat_6.1
- 

* Wed Oct 26 2016 Patrick Sutherland <csutherl@redhat.com> - 1.0.8-6.Final_redhat_5.1
- 

* Wed Oct 26 2016 Patrick Sutherland <csutherl@redhat.com> - 1.0.8-5.Final_redhat_4.1
- 

* Tue Sep 20 2016 Coty Sutherland <csutherl@redhat.com> - 1.0.8-5.Final_redhat_5.1
- Resolves: JWS-217 Tomcat vault .sh script JBOSS_MODULEPATH is not used

* Mon Oct 26 2015 Wei Nan Li <weli@redhat.com> - 1.0.8-4.Final_redhat_4.1
- 

* Sun Oct 25 2015 Wei Nan Li <weli@redhat.com> - 1.0.8-3.Final_redhat_3.1
- JWS-258

* Mon Oct 19 2015 Wei Nan Li <weli@redhat.com> - 1.0.8-2.Final_redhat_2.1
-

* Wed Oct 14 2015 Wei Nan Li <weli@redhat.com> - 1.0.8-1.Final_redhat_1.1
-

* Tue Oct 13 2015 Wei Nan Li <weli@redhat.com> - 1.0.7-2.Final_redhat_1.1
-

* Tue Sep 15 2015 Wei Nan Li <weli@redhat.com> - 1.0.6-4.Final_redhat_2.3
-

* Tue Sep 15 2015 Wei Nan Li <weli@redhat.com> - 1.0.6-3.Final_redhat_2.2
-

* Tue Sep 15 2015 Wei Nan Li <weli@redhat.com> - 1.0.6-2.Final_redhat_2.1
-

* Fri Sep 11 2015 Wei Nan Li <weli@redhat.com> - 1.0.6-1.Final_redhat_1.1
-

* Fri Sep 11 2015 Wei Nan Li <weli@redhat.com> - 1.0.5-2.Final_redhat_2.1
-

* Mon Aug 24 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.5-1.Final_redhat_1.1
-

* Mon Aug 24 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.4-5.Final_redhat_7.1
-

* Wed Aug 19 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.4-4.Final_redhat_6.1
-

* Tue Aug 18 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.4-3.Final_redhat_5.1
-

* Mon Aug 17 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.4-3.Final_redhat_4.1
-

* Mon Aug 17 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.4-3.Final_redhat_3.1
-

* Fri Aug 14 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.4-2.Final_redhat_2.3
- Add zip.

* Tue Aug 04 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.4-2.Final_redhat_2.2
-

* Tue Aug 04 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.4-2.Final_redhat_2.1
-

* Tue Aug 04 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.4-1.Final_redhat_1.1
-

* Mon Aug 03 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.3-5.Final_redhat_8.1
-

* Fri Jul 31 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.3-5.Final_redhat_7.1
-

* Thu Jul 30 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.3-5.Final_redhat_6.2
-

* Thu Jul 30 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.3-5.Final_redhat_6.1
-

* Thu Jul 30 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.3-4.Final_redhat_5.1
-

* Wed Jul 29 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.3-3.Final_redhat_4.2
-

* Wed Jul 29 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.3-2.Final_redhat_4.1
-

* Wed Jul 29 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.3-1.Final_redhat_3.3
-

* Wed Jul 29 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.3-1.Final_redhat_3.2
-

* Wed Jul 29 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.3-1.Final_redhat_3.1
-

* Wed Jul 29 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.3-1.Final_redhat_2.1
-

* Wed Jul 29 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.3-1.Final_redhat_1.1
-

* Wed Jul 01 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-9.Final_redhat_16.3
-

* Wed Jul 01 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_16.2
-

* Wed Jul 01 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_16.1
-

* Wed Jul 01 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_15.1
-

* Wed Jul 01 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_14.1
-

* Tue Jun 30 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_13.2
-

* Tue Jun 30 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_13.1
-

* Tue Jun 30 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_12.1
-

* Tue Jun 30 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_11.2
-

* Tue Jun 30 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_11.1
-

* Mon Jun 29 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-8.Final_redhat_10.2
-

* Mon Jun 29 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-7.Final_redhat_10.1
-

* Mon Jun 29 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-6.Final_redhat_9.1
-

* Mon Jun 29 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-6.Final_redhat_8.1
-

* Mon Jun 29 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-6.Final_redhat_6.1
-

* Wed Jun 17 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-5.Final_redhat_5.3
-

* Wed Jun 17 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-4.Final_redhat_5.2
-

* Wed Jun 17 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-4.Final_redhat_5.1
-

* Tue Jun 16 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-3.Final_redhat_4.2
-

* Tue Jun 16 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-3.Final_redhat_4.1
-

* Tue Jun 16 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-2.Final_redhat_3.5
- Add AS Security Module

* Fri Jun 12 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-2.Final_redhat_3.4
-

* Fri Jun 12 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-2.Final_redhat_3.3
-

* Fri Jun 12 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-2.Final_redhat_3.2
-

* Fri Jun 12 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-2.Final_redhat_3.1
-

* Fri Jun 12 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-2.Final_redhat_2.1
-

* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Final_redhat_1.1
- release
